/* Analog input pins for Joystick XY values */
const int JoyStick_X = 0; // pin number for x
const int JoyStick_Y = 1; // pin number for y

/* Joystick sensitivity */
// We define a JoysStick sensitivity to declare that a movement wish
// is communicated from the user.
// We consider only 4 possibilities: 
//          foward (++) or backwards (--) for each degree of freedom (X and Y)
const int threshold = 64;

void setup() {
   // Initialize the Serial Port 
  Serial.begin(9600); // 9600 bps
  Serial.print("Please move the JoyStick to communicaste");
  Serial.print("\n");
}


void loop() {
 /* X movement (signal detection) */
  /* X.UP */
  if (analogRead(JoyStick_X) > (512 + threshold))
        {
          Serial.print("User wants to move x-axis up: X++");
          Serial.print("\n");
        }        
  /* X.DOWN */
  if (analogRead(JoyStick_X) < (512 - threshold))
        {
          Serial.print("User wants to move x-axis down: X--");
          Serial.print("\n");
        }

/* Y movement (signal detection) */
  /* Y.UP */
  if (analogRead(JoyStick_Y) > (512 + threshold))
        {
          Serial.print("User wants to move y-axis up: Y++");
          Serial.print("\n");
        }
  /* Y.DOWN */
  if (analogRead(JoyStick_Y) < (512 - threshold))  
        {
          Serial.print("User wants to move y-axis down: Y--");
          Serial.print("\n");
        }
}

